package com.sky.ioc.entity.domain.person;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Person {

    @TableId(type = IdType.AUTO)
    private  Integer id;

    /**姓名*/
    private String name;

    /**单位ID*/
    private String companyId;
    /**单位名称*/
    private String companyName;
    /**
     * 部门ID
     * */
    private Integer deptId;

    /**部门名称*/
    private String deptName;

    /**手机号*/
    private String phone;

    /**
     * 人员类型
     * 0 正式员工
     * 1 外协员工
     * 2 驻场物业
     * 3 施工人员
     * 4 厂商
     * 5 其他
     * */
    private Integer type;
    /**人员状态
     * 0 正常
     * 1 已离职
     * 2 暂时冻结
     * */
    private Integer status;

    /***/
    private String createTime;

    /***/
    private String updateTime;

    /**
     * 是否删除
     * 0 否
     * 1 是
     * */
    private Integer isDel;

    /**
     * 性别
     * */
    private String gender;

    /**
     * 邮箱
     * */
    private String email;
    /**
     * 职务
     * */
    private String duty;
    /**
     * 入职时间
     * */
    private String hiredate;
    /**
     * 家庭住址
     * */
    private String address;
    /**
     * 智能类型
     * */
    private String functionType;
    /**
     * HR编号
     * */
    private String hrNumber;
    /**
     * 办公驻地
     * */
    private String workAddress;
    /**
     * 楼层号
     * */
    private String floor;
    /**
     * 主语人员编号
     * */
    private String zyNumber;
    /**
     * 房间号
     * */
    private String roomNumber;
    /**
     * 工位号
     * */
    private String siteNumber;
    /**
     * 身份证号
     * */
    private String idCard;
    /**
     * 物理卡号
     * */
    private String physicsCard;

    /**
     *卡片编号
     * */
    private String cardNumber;
    /**
     * 消费账号
     * */
    private String account;
    /**
     * 车牌号
     * */
    private String carNumber;
    /**
     * 角色
     * */
    private String role;
    /**
     * 操作状态
     * */
    private String operateStatus;
    /**
     * 下发状态
     * */
    private String issueStatus;
    /**
     * 授权时间
     * */
    private String impowerTime;
    /**
     * '出入口权限'
     * */
    private String inOut;
    /**
     * 门禁权限
     * */
    private String access;

    /**照片*/
    private String photo;



}
